# [Light Bootstrap Dashboard PRO React](https://creativetimofficial.github.io/light-bootstrap-dashboard-pro-react/#/dashboard)
[![version][version-badge]][CHANGELOG] [![license][license-badge]][LICENSE]

![alt text](https://s3.amazonaws.com/creativetim_bucket/products/66/thumb/opt_lbdp_react_thumbnail.jpg?1509466309)

**[Light Bootstrap Dashboard PRO React](https://creativetimofficial.github.io/light-bootstrap-dashboard-pro-react/#/dashboard)** is a premium admin dashboard template designed to be beautiful and simple. It is built on top of [React Bootstrap](https://react-bootstrap.github.io/), using [Light Bootstrap Dashboard PRO](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro) and it is fully responsive. It comes with a big collections of elements that will offer you multiple possibilities to create the app that best fits your needs. It can be used to create admin panels, project management systems, web applications backend, CMS or CRM.

The product represents a big suite of front-end developer tools that can help you jump start your project. We have created it thinking about things you actually need in a dashboard. Light Bootstrap Dashboard React contains multiple handpicked and optimized plugins. Everything is designed to fit with one another. As you will be able to see, the dashboard you can access on Creative Tim is a customization of this product.

It comes with 6 filter colors for the sidebar (`black`, `azure`,`green`,`orange`,`red`,`purple`) and an option to have a background image.

## Links:

+ [Live Preview](https://timcreative.github.io/light-bootstrap-dashboard-pro-react/#/dashboard)

## Quick Start:

Quick start options:

+ [Download from Creative Tim](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-react).

Other Products:

+ [Download HTML FREE Version](https://www.creative-tim.com/product/light-bootstrap-dashboard).
+ [Download Angular 2+ FREE Version ](https://www.creative-tim.com/product/light-bootstrap-dashboard-angular2).
+ [Download HTML PRO Version](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro).
+ [Download Angular 2+ PRO Version ](https://www.creative-tim.com/product/light-bootstrap-dashboard-pro-angular2).

## Local Development

1. Install NodeJs from [NodeJs Official Page](https://nodejs.org/en)
2. Open Terminal
3. Go to your file project
4. Run in terminal ```npm install```
5. Then run ```npm start```
6. (Optional) You can create a new react application like this
    1. Run in terminal ```npm install -g create-react-app```
    2. Go to the folder where you want to create your app
    3. Run in terminal ```create-react-app your-app-name```
    4. Navigate to your-app-name
    5. Run in terminal ```npm start```
    6. More information → create-react-app
7. Navigate to http://localhost:3000
8. More information → react

## Live Production on Heroku

1. Open terminal
2. Go to your file project
3. Run in terminal one by one: (Replace ```$APP_NAME``` with a name for your unique app.)
    1. ```git init```
    2. ```heroku create $APP_NAME --buildpack https://github.com/mars/create-react-app-buildpack.git```
    3. ```git add .```
    4. ```git commit -m "Start with create-react-app"```
    5. ```git push heroku master```
    6. ```heroku open```
4. More info → here


### What's included

Within the download you'll find the following directories and files:
```
lbd-pro-react
├── CHANGELOG.md
├── README.md
├── package.json
├── Documentation
│   ├── css
│   ├── img
│   └── tutorial-components.html
├── public
│   ├── apple-icon.png
│   ├── favicon.ico
│   ├── index.html
│   └── manifest.json
└── src
    ├── index.js
    ├── assets
    │   ├── css
    │   ├── fonts
    │   ├── img
    │   │   ├── faces
    │   │   └── flags
    │   └── sass
    │       ├── lbd
    │       │   ├── mixins
    │       │   └── plugins
    │       ├── light-bootstrap-dashboard.scss
    │       └── light-bootstrap-dashboard.css
    ├── components
    │   ├── Card
    │   │   ├── Card.jsx
    │   │   ├── MapCard.jsx
    │   │   ├── StatsCard.jsx
    │   │   └── UserCard.jsx
    │   ├── CustomButton
    │   │   └── CustomButton.jsx
    │   ├── CustomCheckbox
    │   │   └── CustomCheckbox.jsx
    │   ├── CustomRadio
    │   │   └── CustomRadio.jsx
    │   ├── Footer
    │   │   └── Footer.jsx
    │   ├── FormInputs
    │   │   └── FormInputs.jsx
    │   ├── Header
    │   │   ├── Header.jsx
    │   │   ├── HeaderLinks.jsx
    │   │   └── PagesHeader.jsx
    │   ├── Sidebar
    │   │   └── Sidebar.jsx
    │   └── Tasks
    │       └── Tasks.jsx
    ├── layouts
    │   ├── Dashboard
    │   │   └── Dashboard.jsx
    │   └── Pages
    │       └── Pages.jsx
    ├── routes
    │   ├── dashboard.jsx
    │   ├── index.jsx
    │   └── pages.jsx
    ├── variables
    │   ├── Variables.jsx
    │   ├── chartsVariables.jsx
    │   └── faVariables.jsx
    └── views
        ├── Calendar
        │   └── Calendar.jsx
        ├── Charts
        │   └── Charts.jsx
        ├── Components
        │   ├── Buttons.jsx
        │   ├── GridSystem.jsx
        │   ├── Icons.jsx
        │   ├── Notifications.jsx
        │   ├── Panels.jsx
        │   ├── SweetAlertPage.jsx
        │   └── Typography.jsx
        ├── Dashboard
        │   └── Dashboard.jsx
        ├── Forms
        │   ├── ExtendedForms.jsx
        │   ├── RegularForms.jsx
        │   ├── ValidationForms.jsx
        │   └── Wizard
        │       ├── Step1.jsx
        │       ├── Step2.jsx
        │       ├── Step3.jsx
        │       └── Wizard.jsx
        ├── Maps
        │   ├── FullScreenMap.jsx
        │   ├── GoogleMaps.jsx
        │   └── VectorMap.jsx
        ├── Pages
        │   ├── LockScreenPage.jsx
        │   ├── LoginPage.jsx
        │   ├── RegisterPage.jsx
        │   └── UserPage.jsx
        └── Tables
            ├── DataTables.jsx
            ├── ExtendedTables.jsx
            └── RegularTables.jsx
```
## Useful Links

More products from Creative Tim: <https://www.creative-tim.com/bootstrap-themes>

Tutorials: <https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w>

Freebies: <https://www.creative-tim.com/products>

Affiliate Program (earn money): <https://www.creative-tim.com/affiliates/new>

Social Media:

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>

[CHANGELOG]: ./CHANGELOG.md

[LICENSE]: ./LICENSE.md
[version-badge]: https://img.shields.io/badge/version-1.1.1-blue.svg
[license-badge]: https://img.shields.io/badge/license-MIT-blue.svg
